package com.engine.organization.entity.cusfielddata.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2022/08/01
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CusFieldData {
    private Integer seqOrder;
    private String scope;
    private Long scopeId;
    private Long id;
    /**
     * 职等职级字段，内容其实是职等树
     */
    private String field100001;
    /**
     * 担任岗位，内容其实是树id
     */
    private String field100002;
    /**
     * 职务，内容是树id
     */
    private String field100003;
    /**
     * 虚线上级
     */
    private String field100004;
    /**
     * 岗位序列
     */
    private String field100005;
    /**
     * 职等职级方案
     */
    private String field100006;
    /**
     * 职级
     */
    private String field100007;
    /**
     * 职等
     */
    private String field100008;
    /**
     * 职务类型
     */
    private String field100009;
    /**
     * 职务信息
     */
    private String field100010;
    private String field100011;
    private String field100012;
    private String field100013;
    private String field100014;
}
