package com.engine.organization.entity.hrmresource.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author:dxfeng
 * @createTime: 2022/06/21
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HrmResourcePO {
    /**
     * id
     */
    private Long id;

    /**
     * 编号
     */
    private String workCode;

    /**
     * 登录名
     */
    private String loginId;

    /**
     * 姓名
     */
    private String lastName;

    /**
     * 性别
     */
    private String sex;

    /**
     * 账号类型
     */
    private Integer accountType;

    /**
     * 主账号
     */
    private Long belongTo;

    /**
     * 部门
     */
    private Long departmentId;

    /**
     * 分部
     */
    private Long companyId;

    /**
     * 职务
     */
    private Long jobActivity;

    /**
     * 岗位
     */
    private Long jobTitle;

    /**
     * 职称
     */
    private Integer jobCall;

    /**
     * 职级
     */
    private Long jobLevel;

    /**
     * 职务类别
     */
    private Long jobGroupId;

    /**
     * 职责描述
     */
    private String jobActivityDesc;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 系统语言
     */
    private Integer systemLanguage;

    /**
     * 照片
     */
    private String resourceImageId;

    /**
     * 头像
     */
    private String messagerUrl;

    /**
     * 办公地点
     */
    private Integer locationId;

    /**
     * 直接上级
     */
    private Integer managerId;

    /**
     * 助理
     */
    private Integer assistantId;

    /**
     * 移动电话
     */
    private String mobile;

    /**
     * 办公室电话
     */
    private String telephone;

    /**
     * 其他电话
     */
    private String mobileCall;

    /**
     * 传真
     */
    private String fax;

    /**
     * 电子邮件
     */
    private String email;

    /**
     * 办公室
     */
    private String workroom;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;

    /**
     * 密码
     */
    private String passWord;

    /**
     * 安全级别
     */
    private Integer secLevel;

    /**
     * 出生日期
     */
    private String birthday;

    /**
     * 民族
     */
    private String folk;

    /**
     * 籍贯
     */
    private String nativePlace;

    /**
     * 户口
     */
    private String regResidentPlace;

    /**
     * 身份证号码
     */
    private String certificateNum;

    /**
     * 婚姻状况
     */
    private String maritalStatus;

    /**
     * 政治面貌
     */
    private String policy;

    /**
     * 入团日期
     */
    private String beMemberDate;

    /**
     * 入党日期
     */
    private String bePartyDate;

    /**
     * 工会会员
     */
    private String islabouunion;

    /**
     * 学位
     */
    private String degree;

    /**
     * 健康状况
     */
    private String healthInfo;

    /**
     * 学历
     */
    private Integer educationLevel;

    /**
     * 身高
     */
    private String height;

    /**
     * 体重
     */
    private Integer weight;

    /**
     * 用工性质
     */
    private Integer useKind;

    /**
     * 合同开始日期
     */
    private String startDate;

    /**
     * 合同结束日期
     */
    private String endDate;

    /**
     * 试用期结束日期
     */
    private String probationEndDate;

    /**
     * 现居住地
     */
    private String residentPlace;

    /**
     * 家庭联系方式
     */
    private String homeAddress;

    /**
     * 暂住证号码
     */
    private String tempResidentNumber;

    /**
     * 入职日期
     */
    private String companyStartDate;

    /**
     * 参加工作日期
     */
    private String workStartDate;

    /**
     * 公积金帐户
     */
    private String accumFundAccount;

    /**
     * 工资账号户名
     */
    private String accountName;

    /**
     * 工资银行
     */
    private Integer bankId;

    /**
     * 工资账号
     */
    private String accountId;

    /**
     * 显示顺序
     */
    private Integer showOrder;

    /**
     * 人员密级
     */
    private Integer classification;


    private String workYear;


    private String companyWorkYear;

    private String baseFieldsValue;

    private String baseFields;

}
