package com.engine.organization.entity.staff.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/24
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StaffPlanPO {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String planNo;
    /**
     * 名称
     */
    private String planName;
    /**
     * 年度
     */
    private Integer planYear;
    /**
     * 时间开始
     */
    private Date timeStart;
    /**
     * 时间结束
     */
    private Date timeEnd;
    /**
     * 适用公司
     */
    private String companyId;
    /**
     * 控制维度
     */
    private String controlDimension;
    /**
     * 说明
     */
    private String description;
    /**
     * 状态
     */
    private Integer forbiddenTag;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
